# Uses of Interface
com.sun.source.tree.MemberReferenceTree

Packages that use MemberReferenceTree
Package
Description
com.sun.source.tree
Provides interfaces to represent source code as abstract syntax trees (AST).
com.sun.source.util
Provides utilities for operations on abstract syntax trees (AST).

## Uses of MemberReferenceTree in com.sun.source.tree

Methods in com.sun.source.tree with parameters of type MemberReferenceTree
Modifier and Type
Method
Description
`R`
TreeVisitor.`visitMemberReference(MemberReferenceTree node, P p)`
Visits a `MemberReferenceTree` node.

## Uses of MemberReferenceTree in com.sun.source.util

Methods in com.sun.source.util with parameters of type MemberReferenceTree
Modifier and Type
Method
Description
`R`
SimpleTreeVisitor.`visitMemberReference(MemberReferenceTree node, P p)`
Visits a `MemberReferenceTree` node.
`R`
TreeScanner.`visitMemberReference(MemberReferenceTree node, P p)`
Visits a `MemberReferenceTree` node.